CC=bcc
LN=bcc

CC_OPTS= -c -mh -N -G -k-
LN_OPTS= -efixmahbc -k- -mh
LIB=
OBJ=fixmahal.obj vfm.obj meancov.obj standard.obj loklesen.obj matrix.obj lokstan.obj
HEAD=fixdefs.h lokglo.h 

fixmahbc: $(OBJ) fixmahbc.mak
        $(LN) $(LN_OPTS) $(OBJ) $(LIB)

fixmahal.obj: fixmahal.c vfm.h meancov.h standard.h loklesen.h matrix.h lokstan.h $(HEAD) fixmahbc.mak
	$(CC) $(CC_OPTS) fixmahal.c

vfm.obj: vfm.c vfm.h $(HEAD) fixmahbc.mak
	$(CC) $(CC_OPTS) vfm.c

meancov.obj: matrix.h matrix.obj meancov.c meancov.h $(HEAD) fixmahbc.mak
	$(CC) $(CC_OPTS) meancov.c

lokstan.obj: lokstan.c lokstan.h standard.obj standard.h $(HEAD) fixmahbc.mak
	$(CC) $(CC_OPTS) lokstan.c

standard.obj: standard.c standard.h $(HEAD) fixmahbc.mak
	$(CC) $(CC_OPTS) standard.c

loklesen.obj: loklesen.c loklesen.h $(HEAD) fixmahbc.mak
	$(CC) $(CC_OPTS) loklesen.c    

matrix.obj: matrix.c matrix.h $(HEAD) fixmahbc.mak
	$(CC) $(CC_OPTS) matrix.c
